local animatedmat = CreateMaterial(tostring({}) .. tostring({}), 'VertexLitGeneric', {
  ['$basetexture'] = 'dev/hemisphere_normal', 
  ['$model'] = 1,
  ['$ignorez'] = 0,
  ['$nocull'] = 0,
  ['$additive'] = 1,
  ['$wireframe'] = 1,
  Proxies = {
    TextureScroll = {
      texturescrollvar = "$basetexturetransform",
      texturescrollrate = 0.2,
      texturescrollangle = 360,
     }
   }
})
 
local IsDrawingGlow = false
local GlowTwo = CreateMaterial("edgeglow2","UnlitGeneric", armparams)
 
hook.Add("PreDrawPlayerHands", "handchams", function()
    render.SuppressEngineLighting(true)
    if IsDrawingGlow then
        render.SetColorModulation(0.35, 0.3, 1)
        render.MaterialOverride(animatedmat)
    else
        render.SetColorModulation(1, 1, 1)
    end
    render.SetBlend(1)
end)
 
hook.Add("PostDrawPlayerHands", "handchams", function()
    render.SetColorModulation(1, 1, 1)
    render.MaterialOverride(None)
    render.SetBlend(1)
 
    if IsDrawingGlow then return end
 
    IsDrawingGlow = true
    LocalPlayer():GetViewModel():DrawModel()
    IsDrawingGlow = true
end)